# Class WebResourceLockSet.ResourceLock

java.lang.Object
org.apache.catalina.WebResourceLockSet.ResourceLock

Enclosing interface:
  `WebResourceLockSet`

public static class WebResourceLockSet.ResourceLock extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final AtomicInteger`
  `count`
  `final String`
  `key`
  `final ReentrantReadWriteLock`
  `reentrantLock`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceLock(String key)`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### count

    public final AtomicInteger count

  - ### reentrantLock

    public final ReentrantReadWriteLock reentrantLock

  - ### key

    public final String key

- ## Constructor Details

  - ### ResourceLock

    public ResourceLock(String key)